<ion-header>
    <div class="mx-auto bg-white">

        <div class="relative  md:absolute w-full" >
            <div [ngClass]="showHeader ? 'openHeader mt-0' : 'hideHeader -mt-34'">
                <div class="grid grid-cols-12 lg:py-1 px-2 lg:px-6 md:h-14 h-8 bg-white" *ngIf="notify"
                >
                    <div class="col-span-12 md:col-span-6 flex justify-between">
                        <div *ngIf="textPromotionArr?.length > 0" class="flex items-center">
                            <!-- <mat-icon class="text-gray-600 cursor-pointer" style="font-size: 20px;" (click)="hideNotify()">close
                            </mat-icon> -->
                        </div>
                        <div class="w-full mr-6 md:mr-0 md:w-4/5 justify-center hidden items-center md:flex">
                            <div class="p-0 w-full md:w-4/5 object-fill relative text-center items-center text-sm"
                                *ngIf="textPromotionArr?.length > 0">
                                <!-- <owl-carousel-o [options]="notifyOptions" #notifyCarousel>
                                    <ng-container *ngFor="let slide of textPromotionArr">
                                        <ng-template carouselSlide [id]="slide?.node?.id" >
                                            <div>
                                                <p>{{slide?.node?.title}}</p>
                                            </div>
                                        </ng-template>
                                    </ng-container>
                                </owl-carousel-o>
                                <div class="hidden md:block">
                                    <button class="pr-4 focus:outline-none absolute top-0 -left-10"
                                        (click)="notifyCarousel.prev()">
                                        <ion-icon class="text-xl text-gray-400 hover:text-gray-600" name="chevron-back-outline">
                                        </ion-icon>
                                    </button>
                                    <button class="pl-4 focus:outline-none absolute top-0 -right-10"
                                        (click)="notifyCarousel.next()">
                                        <ion-icon class="text-xl text-gray-400 hover:text-gray-600"
                                            name="chevron-forward-outline">
                                        </ion-icon>
                                    </button>
                                </div> -->
                                <ion-slides #slider class="h-full" pager="true" pager="false" [options]="slideNotifyOpts">
                                    <ion-slide *ngFor="let item of textPromotionArr">
                                      <span class="text-sm text-black">{{item.node?.title}}</span>
                                    </ion-slide>
                                  </ion-slides>
            
                                <div class="hidden md:block">
                                    <button class="pr-4 focus:outline-none absolute top-0 -left-10" (click)="swipePrev()">
                                      <ion-icon class="text-xl text-gray-400 hover:text-gray-600" name="chevron-back-outline">
                                      </ion-icon>
                                    </button>
                                    <button class="pl-4 focus:outline-none absolute top-0 -right-10" (click)="swipeNext()">
                                      <ion-icon class="text-xl text-gray-400 hover:text-gray-600" name="chevron-forward-outline">
                                      </ion-icon>
                                    </button>
                                  </div>
            
                            </div>
                        </div>
                        <div class="w-full flex justify-center md:hidden ">
                            <div class="px-0 w-full object-fill relative text-center items-center text-sm py-1"
                                *ngIf="textPromotionArr?.length > 0 && notify">
                                <!-- <owl-carousel-o [options]="notifyOptions" #notifyCarousel >
                                    <ng-container *ngFor="let slide of textPromotionArr">
                                        <ng-template carouselSlide [id]="slide?.node?.id" >
                                            <div >
                                                <p class="my-auto">{{slide?.node?.title}}</p>
                                            </div>
                                        </ng-template>
                                    </ng-container>
                                </owl-carousel-o> -->
                                <ion-slides #slider class="h-full" pager="true" pager="false" [options]="slideNotifyOpts">
                                    <ion-slide *ngFor="let item of textPromotionArr">
                                        <p class="my-auto text-sm text-black">{{item?.node?.title}}</p>
                                    </ion-slide>
                                  </ion-slides>
                            </div>
                        </div>
                    </div>
                    <div class="col-span-6 hidden md:block text-black">
                            <div class="flex items-center justify-end h-full">
                                <div class="" [class.mr-2]="isLogin">
                                    <a mat-icon-button routerLink="/cart" class="focus:outline-none" >
                                        <i class="material-icons-outlined" [matBadge]="cartItemsNo" matBadgeColor="warn" *ngIf="cartItemsNo>0">shopping_cart</i>
                                        <i class="material-icons-outlined" *ngIf="cartItemsNo==0">shopping_cart</i>
                                    </a>
                                </div>
                                <div class="">
                                    <div class="group">
                                        <button *ngIf="!isLogin" mat-icon-button class="focus:outline-none" >
                                            <i class="material-icons-outlined">person</i>
                                        </button>
                                        <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto text-left capitalize
                                                absolute top-13 z-50 w-48 bg-header shadow-lg transform  scale-0  group-hover:scale-100  text-white"
                                                    role="menu" >
                                                    <span>
                                                        <a (click)="onSignUp(isLogin)"
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                            Đăng nhập
                                                        </a>
                                                    </span>
                                                    <span>
                                                        <a routerLink="/auth/register"
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer">
                                                            Đăng kí
                                                        </a>
                                                    </span>
        
                                                </div>
                                    </div>
                                    <button *ngIf="isLogin && user" class="focus:outline-none group " (click)="onSignUp(isLogin)">
                                        <div class="flex items-center justify-start">
                                            <div class="h-9 w-9 object-contain  items-center justify-center hidden md:flex">
                                                <img [src]="user.avatar ? user.avatar : 'assets/image/default-avatar.png'"
                                                    alt="Avatar" />
                                            </div>
                                            <div class="relative items-start md:mx-1">
                                                <div class="hidden md:block">
                                                    <span class="flex justify-start" style="font-size: 12px;">Tài Khoản</span>
                                                    <span class="flex items-center">{{ user.firstName }}
                                                        <mat-icon>arrow_drop_down</mat-icon>
                                                    </span>
                                                </div>
                                                <button mat-icon-button class="focus:outline-none icon-user"
                                                    (click)="onSignUp(isLogin)">
                                                    <i class="material-icons-outlined md:hidden">person</i>
                                                </button>
                                                <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto text-left capitalize
                                                absolute top-13 right-0 z-50 w-48 bg-header shadow-lg transform  scale-0  group-hover:scale-100  text-white"
                                                    role="menu" >
                                                    <span>
                                                        <a (click)="changeMyAccount()"
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                            Thông tin tài khoản
                                                        </a>
                                                    </span>
                                                    <span>
                                                        <a routerLink="/my-bonus" 
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                            Ưu đãi của tôi
                                                        </a>
                                                    </span>
                                                    <span>
                                                        <a routerLink="/my-account/edit-profile"  [queryParams]="{ tab: '4' }" 
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                            Tra cứu thẻ thành viên
                                                        </a>
                                                    </span>
                                                    <span>
                                                        <a routerLink="/my-account/edit-profile"  [queryParams]="{ tab: '2' }" 
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                            Lịch sử mua hàng
                                                        </a>
                                                    </span>
                                                    <span>
                                                        <a (click)="logOut()"
                                                            class="text-child block px-4 py-2 text-sm cursor-pointer">
                                                            Đăng xuất
                                                        </a>
                                                    </span>
        
                                                </div>
                                            </div>
                                        </div>
                                    </button>
                                </div>
                                <div class="md:block hidden group capitalize">
                                    <button mat-icon-button class="focus:outline-none">
                                        <i class="material-icons-outlined">location_on</i>
                                    </button>
                                    <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto 
                                    absolute top-13 z-50 w-56  shadow-lg transform  scale-0  group-hover:scale-100 origin-top-left"
                                        style="background-color: #0e1c47;" role="menu">
                                        <div>
                                            <span class="cursor-pointer text-white ">
                                                <a class="hover:bg-header text-child block px-4 py-2 text-sm " role="menuitem"
                                                    tabindex="-1" id="user-menu-item-0" (click)="selectBranch()">
                                                    <div class="flex items-center">
                                                        <div>Khu vực đặt hàng
                                                        </div>
                                                        <mat-icon style="font-size: 16px" class="ml-2 mt-2">edit</mat-icon>
                                                    </div>
                                                    <div *ngIf="formatAddress" class="ml-2">
                                                        {{formatAddress}}
                                                    </div>
                                                </a>
        
                                            </span>
                                            <span class="cursor-pointer">
                                                <a class="hover:bg-header text-child block px-4 py-2 text-sm text-white" routerLink="/supermarket"
                                                    role="menuitem" tabindex="-1" id="user-menu-item-0">Hệ thống siêu thị</a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="px-2 w-64">
                                    <form  [formGroup]="searchFormGroup" (ngSubmit)="searchProduct()">
                                        <div class="relative flex w-full flex-wrap items-stretch">
                                            <input placeholder="Bạn tìm gì hôm nay?" formControlName="search"
                                                class="px-3 py-1  relative bg-white rounded-full text-sm 
                                            focus:outline-none focus:shadow-outline  focus:ring-0 w-full pr-10 appearance-none border border-gray-300" />
                                            <span
                                                class="z-10 h-full leading-snug font-normal absolute text-center text-blueGray-300  bg-transparent rounded text-base items-center justify-center w-8 right-0 pr-3 py-1">
                                                <i class="material-icons-outlined cursor-pointer" (click)="searchProduct()">search</i>
                                            </span>
                                        </div>
                                    </form>
                                </div>
                                <div class="relative flex items-center justify-between h-8">
                                    <a class="items-center justify-center flex h-8 ml-2">
                                        <img class="h-full p-1 cursor-pointer object-fill" [src]="'assets/icon/vietnam.png'"
                                            alt="logo">
                                    </a>
                                </div>
                            </div>
                    </div>
                </div>
                <div class=" flex items-center justify-between h-16 md:h-20 px-2 lg:px-6 relative" style="background-color: #1D2749; 
                            width: 100%; z-index: 40;" >
                    <a class="items-center h-12 justify-center flex md:hidden ml-2" routerLink="/home">
                        <img class="h-full p-1 cursor-pointer object-fill" [src]="'assets/image/hshg_logo.webp'" alt="logo">
                    </a>
                    <a class=" items-center w-36 h-20 justify-center hidden md:flex mr-10" routerLink="/home">
                        <img class="h-full p-1 cursor-pointer object-fill" [src]="'assets/image/hshg_logo.webp'" alt="logo">
                    </a>
                    <div class="flex-1 sm:flex items-center md:justify-end sm:items-stretch hidden mt-2">
                        <span *ngFor="let item of navbar" class="group transition duration-300 mx-4 pb-2 text-white">
                            <div *ngIf="!item.child">
                                <a class="cursor-pointer capitalize" (mouseout)='out()' (mouseover)='over(item)'
                                    [ngClass]="{active: isActive(item)}" [routerLink]="item.routing">
                                    {{item.name}}
                                </a>
                            </div>
                            <span *ngIf="item.child" class="capitalize">
                                <div class="inline-block relative z-40 ">
                                    <a class="mr-1 cursor-pointer" (mouseout)='out()' (mouseover)='over(item)'
                                        [ngClass]="{active: isActive(item)}" [routerLink]="item.routing">{{item.name}}</a>
                                    <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto 
                                     absolute top-8 z-30 w-48  shadow-lg transform  scale-0  group-hover:scale-100 origin-top-left"
                                        style="background-color: #0e1c47;" role="menu" *ngIf="item.id !=='4'"> 
                                        <div *ngIf="item.id !=='1'">
                                            <span *ngFor="let i of item.child">
                                                <a [routerLink]="i.routing"
                                                    class="hover:bg-header text-child block px-4 py-2 text-sm"
                                                    (mouseout)='outChild()' (mouseover)='overChild(item,i)' role="menuitem"
                                                    tabindex="-1" id="user-menu-item-0">{{i.name}}</a>
                                            </span>
                                        </div>
                                        <div *ngIf="item.id =='1'">
                                            <span *ngFor="let i of categories">
                                                <div *ngIf="i.node.subCategory.edges?.length>0" class="relative dropdown">
                                                    <div class="title" (mouseout)='outChild()' (mouseover)='overChild(item,i)'
                                                        [ngClass]="{active: isActiveChild(i)}">
                                                        <a [routerLink]="'/category/'+i.node.id"
                                                            class="hover:bg-header hover:text-yellow-hshg block px-4 py-2 text-sm title hover:group-hover:text-yellow-300"
                                                            role="menuitem1"
                                                            id="user-menu-item-1 cursor-pointer">{{i.node.name}}</a>
                                                        <mat-icon
                                                            class=" arrow-animation fill-current absolute right-2 top-2  transform transition duration-300 ease-in-out">
                                                            chevron_right</mat-icon>
                                                    </div>
                                                    <div class="transition duration-500 dropdown-item absolute
                                                    top-0 left-48 z-50 w-40 h-auto shadow-md bg-header transform scale-0 origin-top-left"
                                                        role="menu1">
                                                        <span *ngFor="let sub of i.node.subCategory.edges">
                                                            <a [routerLink]="'/category/'+ sub.node.id" (mouseout)='outChild2()'
                                                                (mouseover)='overChild2(item,sub)'
                                                                class="hover:bg-header text-child block px-4 py-2 text-sm cursor-pointer"
                                                                role="menuitem" tabindex="-1"
                                                                id="user-menu-item-0">{{sub.node.name}}</a>
                                                        </span>
                                                    </div>
        
                                                </div>
                                                <div *ngIf="i.node.subCategory.edges?.length==0">
                                                    <a [routerLink]="'/category/'+i.node.id"
                                                        [ngClass]="{active: isActiveChild(i)}" (mouseout)='out()'
                                                        (mouseover)='overChild(item,i)'
                                                        class="hover:bg-header block px-4 py-2 text-sm" role="menuitem"
                                                        tabindex="-1" id="user-menu-item-0">{{i.node.name}}</a>
                                                </div>
                                            </span>
                                            <span>
                                                <div>
                                                    <a [routerLink]="'/category/all'" [ngClass]="{active: isActiveChild('all')}"
                                                        (mouseout)='out()' (mouseover)="overChild(item,'all')"
                                                        class="hover:bg-header block px-4 py-2 text-sm" role="menuitem"
                                                        tabindex="-1" id="user-menu-item-0">Tất cả</a>
                                                </div>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto 
                                     absolute top-8 z-30 w-64 shadow-lg transform  scale-0  group-hover:scale-100 origin-top-left"
                                        style="background-color: #0e1c47;" role="menu" *ngIf="item.id =='4'">
                                        <div>
                                            <span *ngFor="let i of item.child">
                                                <a [routerLink]="i.routing"
                                                    class="hover:bg-header text-child block px-4 py-2 text-sm"
                                                    (mouseout)='outChild()' (mouseover)='overChild(item,i)' role="menuitem"
                                                    tabindex="-1" id="user-menu-item-0" *ngIf="i.id == '10' && !isLogin">{{i.name}}</a>
                                                <a [routerLink]="i.routing"
                                                    class="hover:bg-header text-child block px-4 py-2 text-sm"
                                                    (mouseout)='outChild()' (mouseover)='overChild(item,i)' role="menuitem"
                                                    tabindex="-1" id="user-menu-item-0" *ngIf="i.id !== '10' && i.id !== '14'">{{i.name}}</a>
                                                <a [routerLink]="i.routing"
                                                    class="hover:bg-header text-child block px-4 py-2 text-sm"
                                                    (mouseout)='outChild()' (mouseover)='overChild(item,i)' role="menuitem"
                                                    tabindex="-1" id="user-menu-item-0" *ngIf="i.id == '14' && isLogin">{{i.name}}</a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </span>
                        </span>
                    </div>
                    <div class=" flex items-center pr-2 sm:static sm:inset-auto  sm:pr-0">
                        <div class="px-1 md:hidden block">
                            <button mat-icon-button class="focus:outline-none text-white">
                                <i class="material-icons-outlined" (click)="togglePanel()">search</i>
                            </button>
                        </div>
                        <div class="px-1 md:hidden block">
                            <a mat-icon-button routerLink="/cart" class="focus:outline-none text-white">
                                <i class="material-icons-outlined" [matBadge]="cartItemsNo" matBadgeColor="warn"
                                    *ngIf="cartItemsNo>0">shopping_cart</i>
                                <i class="material-icons-outlined" *ngIf="cartItemsNo==0">shopping_cart</i>
                            </a>
                        </div>
                        <div class="px-1 md:hidden block">
                            <button *ngIf="!isLogin" mat-icon-button class="focus:outline-none text-white"
                                (click)="onSignUp(isLogin)">
                                <i class="material-icons-outlined">person</i>
                            </button>
                            <div class="group">
                                <button *ngIf="isLogin" mat-icon-button class="focus:outline-none text-white"
                                    (click)="onSignUp(isLogin)">
                                    <i class="material-icons-outlined">person</i>
                                </button>
                                <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto text-left
                                        absolute top-13 right-0 z-50 w-48 bg-header shadow-lg transform  scale-0  group-hover:scale-100 opacity-100 text-white"
                                            role="menu">
                                            <span>
                                                <a (click)="changeMyAccount()" 
                                                class="text-child block px-4 py-2 text-sm cursor-pointer" >
                                                    Thông tin tài khoản
                                                </a>
                                            </span>
                                            <span>
                                                <a routerLink="/my-bonus" 
                                                    class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                    Ưu đãi của tôi
                                                </a>
                                            </span>
                                            <span>
                                                <a routerLink="/my-account/edit-profile"  [queryParams]="{ tab: '4' }" 
                                                    class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                    Tra cứu thẻ thành viên
                                                </a>
                                            </span>
                                            <span>
                                                <a routerLink="/my-account/edit-profile"  [queryParams]="{ tab: '2' }" 
                                                    class="text-child block px-4 py-2 text-sm cursor-pointer ">
                                                    Lịch sử mua hàng
                                                </a>
                                            </span>
                                            <span>
                                                <a (click)="logOut()"
                                                class="text-child block px-4 py-2 text-sm cursor-pointer" >
                                                    Đăng xuất
                                                </a>
                                            </span>
                                    <!-- </div> -->
                                </div>
                            </div>
                        </div>
        
                        <div class="px-1 md:hidden block group">
                            <button mat-icon-button class="focus:outline-none text-white">
                               <i class="material-icons-outlined">location_on</i>
                           </button>
                           <div class="transition duration-500 invisible group-hover:visible group-hover:h-auto 
                                absolute top-13 z-50 w-48 right-4 shadow-lg transform  scale-0  group-hover:scale-100 origin-top-left bg-header text-white"
                                 role="menu">
                                    <div>
                                        <span class="cursor-pointer ">
                                            <a class="hover:bg-header text-child block px-4 py-2 text-sm " role="menuitem"
                                                tabindex="-1" id="user-menu-item-0" (click)="selectBranch()">
                                                <div class="flex items-center">
                                                    <div>Khu vực đặt hàng
                                                    </div>
                                                    <mat-icon style="font-size: 16px" class="ml-2 mt-2">edit</mat-icon>
                                                </div>
                                                <div *ngIf="formatAddress" class="ml-2">
                                                    {{formatAddress}}
                                                </div>
                                            </a>
        
                                        </span>
                                        <span class="cursor-pointer">
                                            <a class="hover:bg-header text-child block px-4 py-2 text-sm" routerLink="/supermarket"
                                                role="menuitem" tabindex="-1" id="user-menu-item-0">Hệ thống siêu thị</a>
                                        </span>
                                    </div>
                                </div>
                       </div>
        
                        <div class="flex items-center sm:hidden text-white">
                            <ion-menu-button></ion-menu-button>
                        </div>
                    </div>
         
                </div>
            </div>
            
            <div class="px-6 z-10 relative hidden md:block shadow-md text-black" style="background-color: #fff;" 
                *ngIf="cartItemsNo>0">
                <div class="md:flex md:justify-between items-center py-3">
                    <a [routerLink]=" isLogin ? '/my-account/edit-profile' : '/auth/login'" [queryParams]="isLogin ? { tab: '3' } : ''">
                        <div class="flex items-center cursor-pointer">
                            <div  class="md:block hidden">
                                <mat-icon>edit</mat-icon>
                            </div>
                            <span class="font-medium md:pl-2">Giao hàng tới : {{formatAddressUser}}</span>
                        </div>
                    </a>
                    <a routerLink="/cart">
                        <div class="cursor-pointer">
                            <span class="font-medium">Giỏ hàng ({{cartItemsNo}}) : {{subTotal |number: '0.0-1':'vi'}}đ</span>
                        </div>
                    </a>
                </div>
            </div>
        </div>
        <form [formGroup]="searchFormGroup" (ngSubmit)="searchProductSm()" class="md:hidden" *ngIf="panelOpenState">
            <mat-accordion class="example-headers-align" multi>
                <mat-expansion-panel
                    [expanded]="panelOpenState"
                    class="expansion p-0 " 
                >
                <div class="grid-cols-10 grid justify-center border-t px-2 py-1">
                    <div class="col-span-1 p-0 self-center justify-center">
                        <button
                        mat-icon-button
                        type="button"
                        (click)="searchProductSm()">
                            <mat-icon>search</mat-icon>
                        </button>
                    </div>
                    <div class="col-span-8 p-0 px-2 self-center">
                        <mat-form-field class=" searchSm w-full" appearance="none">
                            <input
                                (click)="showKeyboard()"
                                [attr.inputmode]="hideKeyboard"
                                matInput
                                type="text"
                                placeholder="TÌM KIẾM"
                                class="h-5 font-search focus:ring-0"
                                formControlName="search"
                                #search
                            />
        
                        </mat-form-field>
                    </div>
                    <div class="col-span-1 p-0 self-center justify-center">
                        <button
                        mat-icon-button
                        type="button"
                        (click)="closeSearch()"
                    >
                        <mat-icon>close</mat-icon>
                    </button>
                    </div>
                </div>
                </mat-expansion-panel>
            </mat-accordion>
        </form>

    </div>
</ion-header>
<!-- <div class="bg-white md:h-14 w-full" *ngIf="cartItemsNo>0">
</div> -->